#3064 closed defect (fixed)

RSB does not handle the `--rsb-file` option named sources with releases.

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 4.11.2
Component: tool/rsb Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking: #3286

Description (last modified by Chris Johns)

The RBS needs to handle the --rsb-file option when downloading release sources. The RSB currently attempts to use the path in the config file however the file in the sources is the name given to --rsb-file.

Change History (5)

comment:1 Changed on Jul 10, 2017 at 12:37:49 AM by Chris Johns

Description: modified (diff)

comment:2 Changed on Jul 10, 2017 at 1:47:08 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In b487b7d/rtems-source-builder:

sb/download: Fix --rsb-file options with released sources.

The released sources use the local file name so always force it when
the RSB is released.

Closes #3064.

comment:3 Changed on Jul 11, 2017 at 12:53:35 AM by Chris Johns <chrisj@…>

In b487b7d/rtems-source-builder:

sb/download: Fix --rsb-file options with released sources.

The released sources use the local file name so always force it when
the RSB is released.

Closes #3064.

comment:4 Changed on Jul 12, 2017 at 6:55:56 AM by Chris Johns <chrisj@…>

In 4f3b8da/rtems-source-builder:

sb/download: Fix --rsb-file options with released sources.

The released sources use the local file name so always force it when
the RSB is released.

Closes #3064.

comment:5 Changed on Jan 31, 2018 at 2:43:58 AM by Chris Johns

Blocking: 3286 added
Note: See TracTickets for help on using tickets.